org.apache.hadoop.security.proto

## Interface SecurityProtos.TokenProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    SecurityProtos.TokenProto, SecurityProtos.TokenProto.Builder
  Enclosing class:
    SecurityProtos

      public static interface SecurityProtos.TokenProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getIdentifier()` `required bytes identifier = 1;`
    `String` | `getKind()` `required string kind = 3;`
    `com.google.protobuf.ByteString` | `getKindBytes()` `required string kind = 3;`
    `com.google.protobuf.ByteString` | `getPassword()` `required bytes password = 2;`
    `String` | `getService()` `required string service = 4;`
    `com.google.protobuf.ByteString` | `getServiceBytes()` `required string service = 4;`
    `boolean` | `hasIdentifier()` `required bytes identifier = 1;`
    `boolean` | `hasKind()` `required string kind = 3;`
    `boolean` | `hasPassword()` `required bytes password = 2;`
    `boolean` | `hasService()` `required string service = 4;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasIdentifier

          boolean hasIdentifier()

      `required bytes identifier = 1;`

    - #### getIdentifier

          com.google.protobuf.ByteString getIdentifier()

      `required bytes identifier = 1;`

    - #### hasPassword

          boolean hasPassword()

      `required bytes password = 2;`

    - #### getPassword

          com.google.protobuf.ByteString getPassword()

      `required bytes password = 2;`

    - #### hasKind

          boolean hasKind()

      `required string kind = 3;`

    - #### getKind

          String getKind()

      `required string kind = 3;`

    - #### getKindBytes

          com.google.protobuf.ByteString getKindBytes()

      `required string kind = 3;`

    - #### hasService

          boolean hasService()

      `required string service = 4;`

    - #### getService

          String getService()

      `required string service = 4;`

    - #### getServiceBytes

          com.google.protobuf.ByteString getServiceBytes()

      `required string service = 4;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.